## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests provided. 😢
%bcond_with    tests

%global         srcname     azure-mgmt-web

Name:           python-%{srcname}
Version:        7.3.1
Release:        %autorelease
Summary:        Microsoft Azure Web Apps Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Web Apps Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pyproject_check_import
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Thu May 01 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:7.3.1-1
- Update to v7.3.1

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:7.2.0-2
- Rebuilt for Python 3.13

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 1:7.2.0-1
- Update to 7.2.0 rhbz#2253123

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:7.0.0-4
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:7.0.0-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 02 2022 Major Hayden <major@redhat.com> - 1:7.0.0-1
- Update to 7.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 1:6.1.0-5
- Add import check

* Tue Jun 21 2022 Major Hayden <major@redhat.com> - 1:6.1.0-4
- Remove obsoletes line

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:6.1.0-3
- Rebuilt for Python 3.11

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 1:6.1.0-2
- Disable tests in EPEL 9

* Thu Mar 03 2022 Major Hayden <major@mhtx.net> - 1:6.1.0-1
- Update to 6.1.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1:4.0.0-1
- Update to 4.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-2
- Add epoch number for 2.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-1
- Downgrade to 2.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 3.0.0-1
- Initial import (#1971868)
## END: Generated by rpmautospec
